Group: Development/Other
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Because dash is not allowed in RPM version numbers
%global real_version 1.6.5-1

Name:           swingx
Version:        1.6.5.1
Release:        alt2_14jpp8
Summary:        A collection of Swing components
License:        LGPLv2
URL:            https://swingx.java.net/
BuildArch:      noarch

# Generated by
# svn export https://svn.java.net/svn/swingx~svn/tags/swingx-project-1.6.5-1/
# tar -cJf swingx-project-1.6.5-1.tar.xz swingx-project-1.6.5-1
Source0:        swingx-project-%{real_version}.tar.xz

# Remove dep that is not needed for successful test run
Patch0:         swingx-remove-jhlabs-filters.patch
# Remove use of internal com.sun API for Java 7 compatibility
Patch1:         swingx-java7-swing-painter-compat.patch
# Accomodate in tests for extra validation performed in Java 7
Patch2:         swingx-java7-treepath-compat.patch
# These two tests fail for an unknown reason
Patch3:         swingx-uititlelabel-test-failure.patch
# Handle Java 8 verisons
Patch4:         swingx-java8-compat.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java:jvnet-parent:pom:)
BuildRequires:  mvn(org.kohsuke.metainf-services:metainf-services)
BuildRequires:  mvn(org.mockito:mockito-core)
Source44: import.info


%description
SwingX contains a collection of powerful, useful, and just plain fun Swing
components. Each of the Swing components have been extended, providing
data-aware functionality out of the box. New useful components have been
created like the JXDatePicker, JXTaskPane, and JXImagePanel.


%package javadoc
Group: Development/Java
Summary:        Javadocs for %{name}
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-project-%{real_version}
%patch0 -p1 -b .orig
%patch1 -p0 -b .orig
%patch2 -p0 -b .orig
%patch3 -p0 -b .orig
%patch4 -p0 -b .orig

# Remove all binaries
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
find . -name "*.so" -exec rm -f {} \;
find . -name "*.dll" -exec rm -f {} \;

# Don't build or install SwingX Test Support module (code and classes
# to support testing SwingX). Classes contained in this module are for
# internal SwingX use only. And the Test Support module doesn't build
# against the version of mockito in Fedora >= 30.
%pom_disable_module swingx-testsupport


%build
%mvn_build -f


%install
%mvn_install


%files -f .mfiles
%doc COPYING


%files javadoc -f .mfiles-javadoc
%doc COPYING


%changelog
* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.6.5.1-alt2_14jpp8
- fc update

* Tue Jul 16 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.5.1-alt2_13jpp8
- build with new mockito

* Mon May 27 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.5.1-alt2_11jpp8
- new version

* Mon Apr 16 2018 Igor Vlasenko <viy@altlinux.ru> 1.6.5.1-alt2_9jpp8
- java update

* Sun Nov 05 2017 Igor Vlasenko <viy@altlinux.ru> 1.6.5.1-alt2_8jpp8
- fixed build

* Tue Nov 22 2016 Igor Vlasenko <viy@altlinux.ru> 1.6.5.1-alt2_6jpp8
- new fc release

* Fri Feb 12 2016 Igor Vlasenko <viy@altlinux.ru> 1.6.5.1-alt2_5jpp8
- java 8 mass update

* Fri Feb 12 2016 Igor Vlasenko <viy@altlinux.ru> 1.6.5.1-alt1_5jpp8
- java 8 mass update

* Thu Aug 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.5-alt5_0jpp6
- rebuild with maven-local

* Sat Jul 12 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.5-alt4_0jpp6
- depmap cleanup

* Sat Jul 12 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.5-alt3_0jpp6
- migration to mvn-rpmbuild

* Fri Jul 11 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.5-alt2_0jpp6
- NMU rebuild to move _mavenpomdir and _mavendepmapfragdir

* Thu Feb 28 2013 Paul Wolneykien <manowar@altlinux.ru> 1.6.5-alt1_0jpp6
- Install all target JARs.
- Add "metainf-services" and "mockito" to the set of build requisites.
- Remove the unused POM patch
- Fresh up to v1.6.5.

* Tue Aug 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.6-alt4_1jpp6
- fixed build

* Fri Aug 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.6-alt3_1jpp6
- build without emma-plugin

* Sun Jan 09 2011 Igor Vlasenko <viy@altlinux.ru> 1.6-alt2_1jpp6
- fixed build

* Fri Sep 03 2010 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_1jpp6
- new version

* Thu Apr 15 2010 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt1_7jpp6
- new version

